Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29513

Description

In QGIS Server 2 the QGIS server exposed LAYER groups as well as the top level as 'queryable="1"'.

In QGIS Server 2 one could also submit a LAYER group or the TOP level as LAYER in the GetFeatureInfo request. I think this was fine

according to the standards, as layer groups and top levels are also LAYERs.

In QGIS Server 3 both don't work anymore:

    -  LAYER groups and top level LAYER elements do not include the queryable="1" 

    -  even if the user/machine provides a top level or group LAYER in the GetFeatureInfo request, QGIS server does not respond to such

queries

Associated revisions

Revision 9a689aff - 2019-04-04 11:47 AM - Alessandro Pasotti

[server] Allow WMS GetFeatureInfo on root layer and groups

If the group (or the root) has any queryable child, it is flagged as queryable

Also fixes an issue with json enconding with rasters.

Fixes #21697

Funded by: Kanton Zug

History

#1 - 2019-03-29 09:00 AM - Andreas Neumann

Here is one QGIS server (3.6) WMS service:

https://services.geo.zg.ch/ows/Gewaessernetz?SERVICE=WMS&#38;REQUEST=GetCapabilities to illustrate the issue.

#2 - 2019-04-01 06:49 PM - Alessandro Pasotti

- Status changed from Open to In Progress

Digging into this now, the issues is triggered by a DD expression on the symbol size based on map scale, which is of course not available in

getlegendgraphics calls because there is no map and no canvas.
https://services.geo.zg.ch/ows/Gewaessernetz?SERVICE=WMS&#38;REQUEST=GetCapabilities


I need to think about what would be the best approach in this case.

#3 - 2019-04-02 12:08 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Sorry, I commented in the wrong ticket, please ignore my previous comment.

#4 - 2019-04-05 07:46 AM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|9a689aff555a5b5ae0a28e4dee452ab1ce95de25.
